%define uversion %{version}a

Name:           dmeternal
Version:        0.4.0
Release:        %mkrel 1
Summary:        Party-based fantasy roguelike role-playing game
Group:          Games/Adventure
License:        GPLv2+
URL:            https://github.com/jwvhewitt/dmeternal
Source0:        https://github.com/jwvhewitt/dmeternal/archive/v%{uversion}/%{name}-%{uversion}.tar.gz
Patch0:         dmeternal-0.3.0a-mga-fonts-and-userdir.patch

BuildArch:      noarch
Requires:       fonts-ttf-bitstream-vera
Requires:       fonts-ttf-dejavu
Requires:       python
Requires:       python-pygame

%description
Dungeon Monkey Eternal is a party-based fantasy roguelike role-playing game.
You control a group of up to four adventurers, who set off on a randomly
determined quest in a randomly constructed world.

%prep
%setup -q -n %{name}-%{uversion}
%autopatch -p1

# Remove embedded fonts
rm -f image/{DejaVuCondensed-Bold.ttf,Vera*.ttf}

%build

%install
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a * %{buildroot}%{_gamesdatadir}/%{name}

# Remove doc files
rm -f %{buildroot}%{_gamesdatadir}/%{name}/{credits.txt,LICENSE,README.md}

# Launcher
install -d %{buildroot}%{_gamesbindir}
ln -s %{_gamesdatadir}/%{name}/game.py %{buildroot}%{_gamesbindir}/%{name}

# Desktop entry
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Dungeon Monkey Eternal
Comment=%{summary}
GenericName=Roguelike game
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;RolePlaying;
EOF

# Icon
install -D -m644 image/sys_icon.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%files
%doc credits.txt README.md
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/32x32/apps/%{name}.png


%changelog
* Mon Apr 04 2016 akien <akien> 0.4.0-1.mga6
+ Revision: 998421
- Move credits to documentation
- Version 0.4.0

* Fri Feb 19 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 967631
- Mageia 6 Mass Rebuild

* Fri Jul 03 2015 akien <akien> 0.3.0-1.mga6
+ Revision: 849804
- imported package dmeternal

